/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.GrupoRutaDAO;
import com.rjconsultores.ventaboletos.entidad.GrupoRuta;
import com.rjconsultores.ventaboletos.service.GrupoRutaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 
 * @author Bruno H. G. Gouvea <bruno@rjconsultores.com.br>
 * 
 */
@Service("grupoRutaService")
public class GrupoRutaServiceImpl implements GrupoRutaService {

	@Autowired
	private GrupoRutaDAO grupoRutaDAO;

	public List<GrupoRuta> obtenerTodos() {
		return grupoRutaDAO.obtenerTodos();
	}

	public GrupoRuta obtenerID(Integer id) {
		return grupoRutaDAO.obtenerID(id);
	}

	@Transactional
	public GrupoRuta suscribir(GrupoRuta entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return grupoRutaDAO.suscribir(entidad);
	}

	@Transactional
	public GrupoRuta actualizacion(GrupoRuta entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return grupoRutaDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(GrupoRuta entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		grupoRutaDAO.actualizacion(entidad);
	}

	public List<GrupoRuta> buscarPorNome(String descgrupo) {
		return grupoRutaDAO.buscarPorNome(descgrupo);
	}
}
